package cz.moneta.test.dsl.testautomationpage;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.harness.endpoints.testautomationpage.TestAutomationPageEndpoint;
import cz.moneta.test.harness.support.web.Builders;

public class TestAutomationPage {
    private Harness harness;

    public TestAutomationPage(Harness harness) {
        this.harness = harness;
    }

    public TestAutomationPageHome openHomePage() {
        TestAutomationPageEndpoint endpoint = harness.getEndpoint(TestAutomationPageEndpoint.class);
        endpoint.openApplication();
        return Builders.newWebFlowBuilder(TestAutomationPageHome.class, endpoint, harness);
    }
}